// 输入一个整数 n，然后输入 n 个整数，输出它们的平均值。
// 方法 3
#include <iostream>

using namespace std;

int main()
{
    int n;
    cout << "请输入整数 n: ";
    cin >> n;

    int *nums = new int[n];
    double avg = 0.0;
    int i = 0;

    cout << "请输入" << n << "个整数: ";
    while (i < n)
    {
        cin >> nums[i];
        avg += nums[i] / (double)n;
        i++;
    }

    cout << "平均值为：" << avg << endl;

    return 0;
}